com.holonplatform.vaadin.flow.navigator.internal

## Class DefaultNavigationChangeEvent

- java.lang.Object
- - com.holonplatform.vaadin.flow.navigator.internal.DefaultNavigationChangeEvent

- All Implemented Interfaces:
    NavigationChangeListener.NavigationChangeEvent, Serializable

      public class DefaultNavigationChangeEvent
      extends Object
      implements NavigationChangeListener.NavigationChangeEvent

  Default `NavigationChangeListener.NavigationChangeEvent` implementation.
  Since:
    5.2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultNavigationChangeEvent(com.vaadin.flow.router.Location location, com.vaadin.flow.component.HasElement navigationTarget)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.vaadin.flow.router.Location` | `getLocation()` Get the navigation location.
    `com.vaadin.flow.component.HasElement` | `getNavigationTarget()` Get the navigation target instance.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultNavigationChangeEvent

          public DefaultNavigationChangeEvent(com.vaadin.flow.router.Location location,
                                              com.vaadin.flow.component.HasElement navigationTarget)

      Constructor.
      Parameters:
        `location` - The new navigation location
        `navigationTarget` - The new navigation target instance

  - ### Method Detail

    - #### getLocation

          public com.vaadin.flow.router.Location getLocation()

      Description copied from interface: `NavigationChangeListener.NavigationChangeEvent`
      Get the navigation location.
      Specified by:
        `getLocation` in interface `NavigationChangeListener.NavigationChangeEvent`
      Returns:
        the navigation location

    - #### getNavigationTarget

          public com.vaadin.flow.component.HasElement getNavigationTarget()

      Description copied from interface: `NavigationChangeListener.NavigationChangeEvent`
      Get the navigation target instance.
      Specified by:
        `getNavigationTarget` in interface `NavigationChangeListener.NavigationChangeEvent`
      Returns:
        the navigation target

Copyright © 2019 The Holon Platform. All rights reserved.